Download it now!
Bug 96578 - EDITING and FILESAVE xlsx file shows wrong number/format (with Polish locale..?)
Summary: EDITING and FILESAVE xlsx file shows wrong number/format (with Polish locale..?)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx, possibleRegression
Depends on:
Blocks: Number-Format XLSX
  Show dependency treegraph
 
Reported: 2015-12-18 11:15 UTC by Grzegorz Ochot
Modified: 2019-12-03 14:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
xlsx file (29.87 KB, application/zip)
2015-12-18 11:15 UTC, Grzegorz Ochot
Details
screenshoot before changes (189.19 KB, image/jpeg)
2015-12-18 11:17 UTC, Grzegorz Ochot
Details
screenshoot after changes (193.39 KB, image/jpeg)
2015-12-18 11:18 UTC, Grzegorz Ochot
Details
Xlsx after roundtrip 5.1 and 5.2 (14.95 KB, application/vnd.ms-excel.12)
2015-12-19 15:00 UTC, m.a.riosv
Details
cell format before changes (443.10 KB, image/jpeg)
2015-12-21 14:07 UTC, Grzegorz Ochot
Details
correct cell format (422.58 KB, image/jpeg)
2015-12-21 14:35 UTC, Grzegorz Ochot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Ochot 2015-12-18 11:15:08 UTC
Created attachment 121381 [details]
xlsx file

Hello,
There is a problem when editing and saving changes in Microsoft Excel - .xlsx file.
If you make any changes to the spreadsheet, save them and reopen the file numbers entered in the spreadsheet are wrong!

The data in the attached file you can use only to repair the error. Do not use and do not share information stored in it for other purposes.

If you have any questions, please email me.

Best regards,
Grzegorz Ochot
Comment 1 Grzegorz Ochot 2015-12-18 11:17:56 UTC
Created attachment 121382 [details]
screenshoot before changes
Comment 2 Grzegorz Ochot 2015-12-18 11:18:30 UTC
Created attachment 121383 [details]
screenshoot after changes
Comment 3 raal 2015-12-18 15:32:47 UTC
Reproducible with Version: 5.1.0.0.alpha1+
Build ID: 8b5182155b6d35a1be64d37136584e30ea6a6ef8
Threads 4; Ver: Windows 6.1; Render: default; 

before  # ##0,00 "zł";[RED]-# ##0,00 "zł"
after  # ##0,00 "zł"

Works OK with Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89) - regression
What's your version of LO?
Comment 4 m.a.riosv 2015-12-19 02:19:18 UTC
I can't:
Win10x64
Version: 5.1.0.1 (x64) Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a
Threads 4; Ver: Windows 6.19; Render: GL;

Hi @raal, before and after is in different cells c53:c53 than c54:c62
Comment 5 raal 2015-12-19 08:15:17 UTC
(In reply to m.a.riosv from comment #4)
> Hi @raal, before and after is in different cells c53:c53 than c54:c62

The difference is in C53:C62

Steps:
open file
change C62, for example -465
save as xlsx
close, reopen

Version: 5.2.0.0.alpha0+
Build ID: dab2582f05979cd99a5937cb95a387cfed70bb8d
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-12-17_10:07:59
Comment 6 m.a.riosv 2015-12-19 15:00:53 UTC
Created attachment 121407 [details]
Xlsx after roundtrip 5.1 and 5.2

Well I don't explain right (with a mistake in the ranges)

Range
C53:c56 #.##0,00" zł"
have in the first xlsx file different format than
C57:C62 #.##0,00 "zł";[RED]-#.##0,00 "zł"

Changing the values on the cells saving and reopening with 
Win10x64
Version: 5.1.0.1 (x64) Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a
Threads 4; Ver: Windows 6.19; Render: default; 

Version: 5.2.0.0.alpha0+ (x64) Build ID: cfe08df695c046371c4361a434176e6381e3e064
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 

don't change the format for me.

Tested with:
 English (US) UI on both versions.
 Spanish (Spain)locale with 5.1
 Spanish (Spain) and English (USA) with 5.2
 Clean profile.

Attached again the file after save with 5.1 and 5.2
Comment 7 raal 2015-12-19 18:59:02 UTC
(In reply to m.a.riosv from comment #6)

Sorry, my mistake. Format doesn't changing, but after reopen looks numbers wrong ( as in attachment 121383 [details] ).
Comment 8 m.a.riosv 2015-12-20 00:42:45 UTC
I can't reproduce, so may be it's only Linux issue or perhaps in relation with the IU language or the locale used.
Comment 9 Grzegorz Ochot 2015-12-21 14:07:27 UTC
Created attachment 121473 [details]
cell format before changes

Hello,
I think that Calc wrong change format of numbers, but after read and display it - see screenshoot - you see correct numbers in cells but displayed format is bad.
If I change the format of the cells from number to currency is sytuation back to normal - the numbers are formatted correctly.
Comment 10 Grzegorz Ochot 2015-12-21 14:35:45 UTC
Created attachment 121474 [details]
correct cell format

If I change the cells format from number to currency, saving the changes and reopen the file everythink is ok.
Maybe problem occurs only in Polish...
I looked it in Calc 4.4.0.3 and I see that it works the same.
Comment 11 QA Administrators 2017-05-22 13:39:12 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2019-12-03 14:52:48 UTC
Dear Grzegorz Ochot,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug